package resources

import "strings"

const ResourceUniversity = "university"

type University struct {
	Name        string
	Restaurants []string
}

func (u *University) Kind() string     { return ResourceUniversity }
func (u *University) ItemName() string { return u.Name }

// Table output
func (u *University) ColumnNames() []string { return []string{"Restaurants"} }
func (u *University) Columns() []any {
	return []any{strings.Join(u.Restaurants, "\r\n")}
}
